snmp.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/ip_addr.h"`

## Macros

#define | MIB2_COPY_SYSUPTIME_TO(ptrToVal) (*(ptrToVal) = (sys_now() / 10))
#define | MIB2_STATS_NETIF_INC(n, x) do { ++(n)->mib2_counters.x; } while(0)
#define | MIB2_STATS_NETIF_ADD(n, x, val) do { (n)->mib2_counters.x += (val); } while(0)
#define | MIB2_INIT_NETIF(netif, type, speed)

## Enumerations

enum | snmp_ifType

## Detailed Description

SNMP support API for implementing netifs and statistics for MIB2

## Macro Definition Documentation

## MIB2_COPY_SYSUPTIME_TO

#define MIB2_COPY_SYSUPTIME_TO | ( |  | ptrToVal | ) | (*(ptrToVal) = (sys_now() / 10))

This macro has a precision of ~49 days because sys_now returns u32_t. #define your own if you want ~490 days.